---
title: Puntos finales de suscripciones de dispositivos (2022/06)
slug: develop/es/puntos-finales-de-suscripciones-de-dispositivos-202206
docTags: 
createdAt: 2025-03-11T07:03:30.743Z
---

Estos endpoints permiten a los usuarios administrar suscripciones de reproductores en una red. 

URL base para estos endpoints:  ***https\://api.bsn.cloud/2022/06/REST/Subscriptions***

*\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_*

## GET /

Devuelve una lista de suscripciones de reproductores

**Token de Scope requerido**

bsn.api.main.subscriptions.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Parámetros de Query String**

- `filtro` <font color="#704ae0">string</font> <font color="#01a0af">opcional: </font>Una [expresión](docId\:cOT2DfqiG9WykoYa94HEX) de búsqueda para reducir el conjunto de resultados
- `ordenar` <font color="#704ae0">string</font> <font color="#01a0af">opcional: </font>Una expresión para ordenar los resultados de búsqueda. La expresión de ordenación especifica la entrada utilizada para ordenar y el orden de clasificación ascendente/descendente (ASC/DESC) (consulte [esta página](docId\:cOT2DfqiG9WykoYa94HEX) para obtener más información).
- `marcador` <font color="#704ae0">string</font> <font color="#01a0af">opcional: </font>Un valor que especifica qué página recuperar. Este valor es útil si la entrada `isTruncated` en el cuerpo de respuesta de la llamada GET anterior indica que el número de instancias de suscripción de reproductores excede el `pageSize`. Este parámetro solo es necesario si usted necesita más elementos en la lista paginada que el `pageSize` (100).
- `pageSize` <font color="#704ae0">int</font> <font color="#01a0af">opcional: </font>La cantidad máxima de instancias de suscripción de dispositivos que pueden incluirse en el cuerpo de respuesta. De forma predeterminada, se utiliza el tamaño máximo de página permitido (100).

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Ejemplo de solicitud**

Los parámetros y encabezados de la solicitud de ejemplo se establecen de la siguiente manera:

- `marcador` tiene el valor de la propiedad `[PagedList].[NextMarker]` de la respuesta anterior de BSN.Cloud API.
- `pageSize` tiene el valor de `1`
- `filtro` tiene el valor de `[Dispositivo] ES NULO Y [Estado] ESTÁ EN ('Activo', 'Suspendiendo')`
- `ordenar` tiene el valor de `[CreationDate] DESC`

```text
GET /2022/06/REST/Subscriptions/?marker=NDI0NTY0LDQyNDU2NA%3D%3D&pageSize=1&filter=%5BDevice%5D%20IS%20NULL%20AND%20%5BStatus%5D%20IS%20IN%20%28%27Active%27%2C%20%27Suspending%27%29&sort=%5BCreationDate%5D%20DESC HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Cuerpo de respuesta exitosa**

<font color="#089a4d">200</font>: Devuelve una [lista paginada](docId:1GSmBtULb07Tf6mcfQCxP) de entidades de [Suscripción de reproductor](#) en una red. Esto devolverá no más de 100 entidades junto con la información necesaria para devolver cualquier otra página restante.

**Ejemplo**

```json
{
   "items": [   {
      "id": 424574,
      "device": null,
      "type": "Commercial",
      "activityPeriod": "365.00:00:00",
      "status": "Active",
      "creationDate": "2023-06-02T07:02:52.99Z",
      "lastModifiedDate": "2023-06-02T07:02:52.99Z",
      "activationDate": "2023-06-02T07:02:52.99Z",
      "suspensionDate": null,
      "expirationDate": null
   }],
   "totalItemCount": 20,
   "matchingItemCount": 9,
   "pageSize": 1,
   "nextMarker": "MjAyMy0wNi0wMlQwNzowMjo1Mi45OTBaLDQyNDU3NA==",
   "prevMarker": "MjAyMy0wNi0wMlQwNzowMjo1Mi45OTBaLDQyNDU36H78",
   "isTruncated": true,
   "sortExpression": "[CreationDate] DESC",
   "filterExpression": "[Device] IS NULL AND [Status] IS IN ( 'Active' , 'Suspending' )"
}
```

**Respuesta de error**

<font color="#9a0808">300</font>: La representación solicitada no pudo devolverse porque es ambigua (hay múltiples representaciones solicitadas)

<font color="#9a0808">400</font>: La solicitud está mal formada y, por lo tanto, no es válida

<font color="#9a0808">401</font>: El token de acceso no es válido o no se especificó

<font color="#9a0808">403</font>: El token de acceso proporcionado, aunque es válido, no proporciona acceso a este método 

<font color="#9a0808">406</font>: El servidor no puede devolver la representación de datos que solicitó (según se especifica en el encabezado "Accept")

<font color="#9a0808">5XX</font>: Cualquier código 500 es un error interno del servidor

## GET /Count/ 

Recupera el número de instancias de suscripción en la red que coinciden con los criterios de filtro especificados. Si no se incluye ningún filtro, esta llamada devuelve el número total de instancias de suscripción en la red. 

**Token de alcance requerido**

bsn.api.main.subscriptions.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Parámetro de cadena de consulta**

- `filtro` <font color="#704ae0">string</font> <font color="#01a0af">opcional: </font>Una [expresión](docId\:cOT2DfqiG9WykoYa94HEX) para filtrar resultados de búsqueda. El valor predeterminado es null.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Ejemplo de solicitud**

Los parámetros y encabezados de la solicitud de ejemplo se establecen de la siguiente manera:

- `filtro` se establece en`[Id] ES MAYOR QUE 0 Y [Status] ESTÁ EN ('Activo', 'Suspendiendo')`

```text
GET /2022/06/REST/Subscriptions/Count/?pageSize=0&filter=%5BId%5D%20IS%20GREATER%20THAN%200%20AND%20%5BStatus%5D%20IS%20IN%20%28%27Active%27%2C%20%27Suspending%27%29 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Cuerpo de la respuesta correcta**

<font color="#089a4d">200</font>: El conteo de instancias de suscripción se devuelve como un valor entero.

**Respuesta de error**

<font color="#9a0808">300</font>: La representación solicitada no pudo devolverse porque es ambigua (hay múltiples representaciones solicitadas)

<font color="#9a0808">400</font>: La solicitud está mal formada y, por lo tanto, no es válida

<font color="#9a0808">401</font>: El token de acceso no es válido o no se especificó

<font color="#9a0808">403</font>: El token de acceso proporcionado, aunque es válido, no proporciona acceso a este método 

<font color="#9a0808">406</font>: El servidor no puede devolver la representación de datos que solicitó (según se especifica en el encabezado "Accept")

<font color="#9a0808">5XX</font>: Cualquier código 500 es un error interno del servidor

## GET /Operations/ 

Devuelve permisos operativos otorgados a roles para operaciones comerciales específicas

**Token de alcance requerido**

bsn.api.main.operations.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Ejemplo de solicitud**

Los parámetros y encabezados de la solicitud de ejemplo se establecen de la siguiente manera:

```text
GET /2022/06/REST/Subscriptions/Operations/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Cuerpo de la respuesta exitosa**

<font color="#089a4d">200</font>: Devuelve la [Entidad de operaciones comerciales](docId\:BB_TAuFfpLMvkrODV93I7)

**Ejemplo**

:::ExpandableHeading
Expandir

```json
{
   "uid": "616d956d-9a74-f674-61a9-3ab02f028352",
   "singularName": "Full Control",
   "pluralName": "Device Subscription (Full Control)",
   "fullName": "Device Subscription (Full Control)",
   "targetEntity": "Subscription",
   "appliance": "Instance, Collection",
   "parent": null,
   "descendants":    [
            {
         "uid": "d6416c44-747e-7e24-f549-5a57525e046d",
         "singularName": "View Subscription",
         "pluralName": "View Subscriptions",
         "fullName": "Device Subscription (Full Control) - View Subscriptions",
         "targetEntity": "Subscription",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "616d956d-9a74-f674-61a9-3ab02f028352",
            "singularName": "Full Control",
            "pluralName": "Device Subscription (Full Control)",
            "fullName": "Device Subscription (Full Control)",
            "targetEntity": "Subscription",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "d6416c44-747e-7e24-f549-5a57525e046d",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:06.767Z"
            },
                        {
               "entityId": null,
               "operationUID": "d6416c44-747e-7e24-f549-5a57525e046d",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:07.503Z"
            },
                        {
               "entityId": null,
               "operationUID": "d6416c44-747e-7e24-f549-5a57525e046d",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "d6416c44-747e-7e24-f549-5a57525e046d",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.437Z"
            },
                        {
               "entityId": null,
               "operationUID": "d6416c44-747e-7e24-f549-5a57525e046d",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:05.747Z"
            },
                        {
               "entityId": null,
               "operationUID": "d6416c44-747e-7e24-f549-5a57525e046d",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.19Z"
            }
         ]
      },
            {
         "uid": "398bd8f9-8950-4735-97f8-50bf8c8b5759",
         "singularName": "Export Subscriptions",
         "pluralName": "Export Subscriptions",
         "fullName": "Device Subscription (Full Control) - Export Subscriptions",
         "targetEntity": "Subscription",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "616d956d-9a74-f674-61a9-3ab02f028352",
            "singularName": "Full Control",
            "pluralName": "Device Subscription (Full Control)",
            "fullName": "Device Subscription (Full Control)",
            "targetEntity": "Subscription",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "398bd8f9-8950-4735-97f8-50bf8c8b5759",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:07.517Z"
            },
                        {
               "entityId": null,
               "operationUID": "398bd8f9-8950-4735-97f8-50bf8c8b5759",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "398bd8f9-8950-4735-97f8-50bf8c8b5759",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.437Z"
            },
                        {
               "entityId": null,
               "operationUID": "398bd8f9-8950-4735-97f8-50bf8c8b5759",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:05.747Z"
            },
                        {
               "entityId": null,
               "operationUID": "398bd8f9-8950-4735-97f8-50bf8c8b5759",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.19Z"
            },
                        {
               "entityId": null,
               "operationUID": "398bd8f9-8950-4735-97f8-50bf8c8b5759",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.753Z"
            }
         ]
      },
            {
         "uid": "1d8a9fc5-5958-7fe4-959b-447491382e87",
         "singularName": "View Subscription Invoice",
         "pluralName": "View Subscription Invoices",
         "fullName": "Device Subscription (Full Control) - View Subscription Invoices",
         "targetEntity": "SubscriptionInvoice",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "616d956d-9a74-f674-61a9-3ab02f028352",
            "singularName": "Full Control",
            "pluralName": "Device Subscription (Full Control)",
            "fullName": "Device Subscription (Full Control)",
            "targetEntity": "Subscription",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "1d8a9fc5-5958-7fe4-959b-447491382e87",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "1d8a9fc5-5958-7fe4-959b-447491382e87",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.437Z"
            },
                        {
               "entityId": null,
               "operationUID": "1d8a9fc5-5958-7fe4-959b-447491382e87",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:05.747Z"
            },
                        {
               "entityId": null,
               "operationUID": "1d8a9fc5-5958-7fe4-959b-447491382e87",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.19Z"
            },
                        {
               "entityId": null,
               "operationUID": "1d8a9fc5-5958-7fe4-959b-447491382e87",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.753Z"
            },
                        {
               "entityId": null,
               "operationUID": "1d8a9fc5-5958-7fe4-959b-447491382e87",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:07.493Z"
            }
         ]
      },
            {
         "uid": "b2edb137-9e21-b444-5913-d3ef4ec7ef0c",
         "singularName": "View Traffic Invoice",
         "pluralName": "View Traffic Invoices",
         "fullName": "Device Subscription (Full Control) - View Traffic Invoices",
         "targetEntity": "TrafficInvoice",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "616d956d-9a74-f674-61a9-3ab02f028352",
            "singularName": "Full Control",
            "pluralName": "Device Subscription (Full Control)",
            "fullName": "Device Subscription (Full Control)",
            "targetEntity": "Subscription",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "b2edb137-9e21-b444-5913-d3ef4ec7ef0c",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "b2edb137-9e21-b444-5913-d3ef4ec7ef0c",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.437Z"
            },
                        {
               "entityId": null,
               "operationUID": "b2edb137-9e21-b444-5913-d3ef4ec7ef0c",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:05.747Z"
            },
                        {
               "entityId": null,
               "operationUID": "b2edb137-9e21-b444-5913-d3ef4ec7ef0c",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.19Z"
            },
                        {
               "entityId": null,
               "operationUID": "b2edb137-9e21-b444-5913-d3ef4ec7ef0c",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.753Z"
            },
                        {
               "entityId": null,
               "operationUID": "b2edb137-9e21-b444-5913-d3ef4ec7ef0c",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:07.493Z"
            }
         ]
      },
            {
         "uid": "083dc302-4ac3-4e3a-be2d-be0b44c9a4fe",
         "singularName": "Export Subscription Invoice",
         "pluralName": "Export Subscription Invoices",
         "fullName": "Device Subscription (Full Control) - Export Subscription Invoices",
         "targetEntity": "SubscriptionInvoice",
         "appliance": "Collection",
         "parent":          {
            "uid": "616d956d-9a74-f674-61a9-3ab02f028352",
            "singularName": "Full Control",
            "pluralName": "Device Subscription (Full Control)",
            "fullName": "Device Subscription (Full Control)",
            "targetEntity": "Subscription",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "083dc302-4ac3-4e3a-be2d-be0b44c9a4fe",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "083dc302-4ac3-4e3a-be2d-be0b44c9a4fe",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.437Z"
            },
                        {
               "entityId": null,
               "operationUID": "083dc302-4ac3-4e3a-be2d-be0b44c9a4fe",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:05.747Z"
            },
                        {
               "entityId": null,
               "operationUID": "083dc302-4ac3-4e3a-be2d-be0b44c9a4fe",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.19Z"
            },
                        {
               "entityId": null,
               "operationUID": "083dc302-4ac3-4e3a-be2d-be0b44c9a4fe",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.753Z"
            },
                        {
               "entityId": null,
               "operationUID": "083dc302-4ac3-4e3a-be2d-be0b44c9a4fe",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:07.493Z"
            }
         ]
      },
            {
         "uid": "9a99bf40-9791-4114-b90a-2c86d04a5254",
         "singularName": "Export Traffic Invoice",
         "pluralName": "Export Traffic Invoices",
         "fullName": "Device Subscription (Full Control) - Export Traffic Invoices",
         "targetEntity": "TrafficInvoice",
         "appliance": "Collection",
         "parent":          {
            "uid": "616d956d-9a74-f674-61a9-3ab02f028352",
            "singularName": "Full Control",
            "pluralName": "Device Subscription (Full Control)",
            "fullName": "Device Subscription (Full Control)",
            "targetEntity": "Subscription",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "9a99bf40-9791-4114-b90a-2c86d04a5254",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "9a99bf40-9791-4114-b90a-2c86d04a5254",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.437Z"
            },
                        {
               "entityId": null,
               "operationUID": "9a99bf40-9791-4114-b90a-2c86d04a5254",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:05.747Z"
            },
                        {
               "entityId": null,
               "operationUID": "9a99bf40-9791-4114-b90a-2c86d04a5254",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.19Z"
            },
                        {
               "entityId": null,
               "operationUID": "9a99bf40-9791-4114-b90a-2c86d04a5254",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.753Z"
            },
                        {
               "entityId": null,
               "operationUID": "9a99bf40-9791-4114-b90a-2c86d04a5254",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:07.493Z"
            }
         ]
      },
            {
         "uid": "a3f0679f-a23f-4130-bb73-84e1a1f0f9da",
         "singularName": "Update Subscription",
         "pluralName": "Update Subscription",
         "fullName": "Device Subscription (Full Control) - Update Subscription",
         "targetEntity": "Subscription",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "616d956d-9a74-f674-61a9-3ab02f028352",
            "singularName": "Full Control",
            "pluralName": "Device Subscription (Full Control)",
            "fullName": "Device Subscription (Full Control)",
            "targetEntity": "Subscription",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "a3f0679f-a23f-4130-bb73-84e1a1f0f9da",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "a3f0679f-a23f-4130-bb73-84e1a1f0f9da",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.437Z"
            },
                        {
               "entityId": null,
               "operationUID": "a3f0679f-a23f-4130-bb73-84e1a1f0f9da",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:05.747Z"
            },
                        {
               "entityId": null,
               "operationUID": "a3f0679f-a23f-4130-bb73-84e1a1f0f9da",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.19Z"
            },
                        {
               "entityId": null,
               "operationUID": "a3f0679f-a23f-4130-bb73-84e1a1f0f9da",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.753Z"
            },
                        {
               "entityId": null,
               "operationUID": "a3f0679f-a23f-4130-bb73-84e1a1f0f9da",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:07.493Z"
            }
         ]
      }
   ],
   "permissions":    [
            {
         "entityId": null,
         "operationUID": "616d956d-9a74-f674-61a9-3ab02f028352",
         "principal":          {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2020-03-05T16:59:05.18Z"
      },
            {
         "entityId": null,
         "operationUID": "616d956d-9a74-f674-61a9-3ab02f028352",
         "principal":          {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2020-03-05T16:59:05.437Z"
      },
            {
         "entityId": null,
         "operationUID": "616d956d-9a74-f674-61a9-3ab02f028352",
         "principal":          {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:05.747Z"
      },
            {
         "entityId": null,
         "operationUID": "616d956d-9a74-f674-61a9-3ab02f028352",
         "principal":          {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:06.19Z"
      },
            {
         "entityId": null,
         "operationUID": "616d956d-9a74-f674-61a9-3ab02f028352",
         "principal":          {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:06.753Z"
      },
            {
         "entityId": null,
         "operationUID": "616d956d-9a74-f674-61a9-3ab02f028352",
         "principal":          {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:07.493Z"
      }
   ]
}
```
:::

**Respuesta de error**

<font color="#9a0808">300</font>: No se pudo devolver la representación solicitada porque es ambigua (hay múltiples representaciones solicitadas)

<font color="#9a0808">400</font>: La solicitud está malformada y, por lo tanto, no es válida

<font color="#9a0808">401</font>: El token de acceso no es válido o no se especificó

<font color="#9a0808">403</font>: El token de acceso proporcionado, aunque es válido, no proporciona acceso a este método 

<font color="#9a0808">406</font>: El servidor no puede devolver la representación de datos que solicitó (según se especifica en el encabezado "Accept")

<font color="#9a0808">5XX</font>: Cualquier código 500 es un error interno del servidor
